Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.scheduling
Class SchedulingModuleConfiguration

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.scheduling.SchedulingModuleConfiguration

    public class SchedulingModuleConfiguration

extends java.lang.Object

Version:
  $Id: SchedulingModuleConfiguration.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`SchedulingModuleConfiguration()`

Method Summary
`UserAuthorityService` | `getAuthorityService()`
`java.lang.String` | `getIndexReportUnitElement()`
`ReportSchedulingInternalService` | `getInternalReportScheduler()`
`java.lang.String` | `getReportJobsDir()`
`ReportSchedulingService` | `getReportScheduler()`
`java.lang.String` | `getReportUnitIndexFilename()`
`RepositoryService` | `getRepository()`
`ObjectSerializer` | `getSerializer()`
`void` | `setAuthorityService(UserAuthorityService authorityService)`
`void` | `setIndexReportUnitElement(java.lang.String indexReportUnitElement)`
`void` | `setInternalReportScheduler(ReportSchedulingInternalService internalReportScheduler)`
`void` | `setReportJobsDir(java.lang.String reportJobsDir)`
`void` | `setReportScheduler(ReportSchedulingService reportScheduler)`
`void` | `setReportUnitIndexFilename(java.lang.String reportUnitIndexFilename)`
`void` | `setRepository(RepositoryService repository)`
`void` | `setSerializer(ObjectSerializer serializer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulingModuleConfiguration

    public SchedulingModuleConfiguration()

Method Detail

### getReportScheduler

    public ReportSchedulingService getReportScheduler()

### setReportScheduler

    public void setReportScheduler(ReportSchedulingService reportScheduler)

### getSerializer

    public ObjectSerializer getSerializer()

### setSerializer

    public void setSerializer(ObjectSerializer serializer)

### getReportJobsDir

    public java.lang.String getReportJobsDir()

### setReportJobsDir

    public void setReportJobsDir(java.lang.String reportJobsDir)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getIndexReportUnitElement

    public java.lang.String getIndexReportUnitElement()

### setIndexReportUnitElement

    public void setIndexReportUnitElement(java.lang.String indexReportUnitElement)

### getReportUnitIndexFilename

    public java.lang.String getReportUnitIndexFilename()

### setReportUnitIndexFilename

    public void setReportUnitIndexFilename(java.lang.String reportUnitIndexFilename)

### getInternalReportScheduler

    public ReportSchedulingInternalService getInternalReportScheduler()

### setInternalReportScheduler

    public void setInternalReportScheduler(ReportSchedulingInternalService internalReportScheduler)

### getAuthorityService

    public UserAuthorityService getAuthorityService()

### setAuthorityService

    public void setAuthorityService(UserAuthorityService authorityService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.